hmt-0.15: Haskell Music Theory

Safe Haskell | None
Language | Haskell98

Music.Theory.Z12.Morris_1987.Parse

Description

Parsers for pitch class sets and sequences, and for `SRO`s.

Synopsis

- rnrtnmi :: String -> SRO
- pco :: String -> [Z12]

# Documentation

rnrtnmi :: String -> SRO Source #

Parse a Morris format serial operator descriptor.

    rnrtnmi "r2RT3MI" == SRO 2 True 3 True True

pco :: String -> [Z12] Source #

Parse a pitch class object string. Each `Char` is either a number, a space which is ignored, or a letter name for the numbers 10 (`t` or `a` or `A`) or 11 (`e` or `B` or `b`).

    pco "13te" == [1,3,10,11]
    pco "13te" == pco "13ab"